.. _devguide-objects_ext:

########################################################################
Pure Python extensions for :py:class:`~code_aster.Objects.DataStructure`
########################################################################


.. automodule:: code_aster.ObjectsExt
   :show-inheritance:
   :members:
   :special-members: __init__


.. automodule:: code_aster.ObjectsExt.fieldoncells_ext

.. automodule:: code_aster.ObjectsExt.fieldonnodes_ext

.. automodule:: code_aster.ObjectsExt.listoffloats_ext

.. autoclass:: code_aster.ObjectsExt.listoffloats_ext.ListOfFloats
   :show-inheritance:
   :members:


.. automodule:: code_aster.Objects
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Objects.datastructure_py

.. autoclass:: code_aster.Objects.PyDataStructure
   :show-inheritance:
   :members:

.. autoclass:: code_aster.Objects.AsInteger
   :show-inheritance:
   :members:

.. autoclass:: code_aster.Objects.AsFloat
   :show-inheritance:
   :members:
